
Infrastructure - Story #8022

d1_log_aggregation has different version of Hazelcast than the rest of CN stack.  Hazelcast version

very out of date.

2017-02-16 16:15 - Rob Nahf

Status: New Start date: 2017-02-15

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Story Points:    

Description

in branches/{component}_v2.3

hazelcast versions in use: (2) => 2.4.1, 2.6.9  

only d1_log_aggregation used 2.6.9, the rest are at an earlier version.

Also, Hazelcast is up to version 3.7.5, and has very healthy release history (lots of point releases).  Not sure if we should invest time

upgrading Hazelcast, or move to different tech.  Key consideration is support for multi-site clusters.

History

#1 - 2017-02-16 16:28 - Rob Nahf

- Subject changed from d1_log_aggregation has different version of Hazelcast than the rest of CN stack to d1_log_aggregation has different version of

Hazelcast than the rest of CN stack.  Hazelcast version very out of date.

- Description updated

#2 - 2017-02-17 18:25 - Rob Nahf

Hazelcast 3.5 introduces support for Reliable Topics, so should be the earliest version we consider upgrading to.

http://docs.hazelcast.org/docs/3.5/manual/html/reliabletopic.html

#3 - 2017-12-26 18:15 - Dave Vieglais

- Sprint set to Infrastructure backlog
